Source: libmoox-role-cloneset-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Peter Pentchev <roam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-single-binary,
 libmodule-build-tiny-perl,
 perl,
Build-Depends-Indep:
 libmoo-perl,
 libmoox-buildargs-perl,
 libnamespace-clean-perl,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoox-role-cloneset-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoox-role-cloneset-perl.git
Homepage: https://metacpan.org/release/MooX-Role-CloneSet
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no
X-Style: black

Package: libmoox-role-cloneset-perl
Architecture: all
Depends:
 libmoo-perl,
 libnamespace-clean-perl,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 libmoox-buildargs-perl,
Description: Perl Moo role for creating updated copies of immutable objects
 MooX::Role::CloneSet is a role for immutable objects, providing an easy
 way to create a new object with some modified properties.  It provides
 the cset() method that creates a new object with the specified changes,
 shallowly copying all the rest of the original object's properties.
